> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# autorisatie toekennen

> accountautorisatie toekennen

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.nl.json POST /v1/public/accounts/{account_id}/auth/authorizations
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/authorizations:
    post:
      tags:
        - public-accounts
        - public-account-auth
      summary: accountautorisatie toekennen
      description: Maakt een autorisatie binnen het accountbereik aan.
      operationId: >-
        grant_public_account_authorization_v1_public_accounts__account_id__auth_authorizations_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GrantRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/code_api__routes__v1_private__account_auth__grant__GrantResponse
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validatiefout
      security:
        - PublicBearerAuth: []
components:
  schemas:
    GrantRequest:
      description: Schema voor granting een new capability-based authorization.
      properties:
        capability_key:
          anyOf:
            - type: string
            - type: 'null'
          description: mogelijkheid key for capability grants
          title: mogelijkheid sleutel
        grant_kind:
          $ref: '#/components/schemas/GrantKind'
          description: toekenning kind
        resource_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Scoped resource-ID
          title: resource ID
        resource_type:
          anyOf:
            - $ref: '#/components/schemas/ResourceType'
            - type: 'null'
          description: Bereikt resourcetype
        subject_id:
          description: Gebruikers- of groeps-ID
          minLength: 1
          title: onderwerp ID
          type: string
        subject_type:
          $ref: '#/components/schemas/SubjectType'
          description: 'Onderwerptype: gebruiker of groep'
      required:
        - subject_type
        - subject_id
        - grant_kind
      title: GrantRequest
      type: object
    code_api__routes__v1_private__account_auth__grant__GrantResponse:
      properties:
        capability_key:
          anyOf:
            - type: string
            - type: 'null'
          title: mogelijkheid sleutel
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: aangemaakt op
        grant_kind:
          title: toekenning soort
          type: string
        id:
          format: uuid
          title: ID
          type: string
        resource_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: resource ID
        resource_type:
          anyOf:
            - type: string
            - type: 'null'
          title: resource type
        revoked_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: ingetrokken op
        subject_id:
          title: onderwerp ID
          type: string
        subject_type:
          title: onderwerp type
          type: string
      required:
        - id
        - subject_type
        - subject_id
        - grant_kind
      title: GrantResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    GrantKind:
      description: Soorten autorisatievergunningen.
      enum:
        - capability
        - account_owner
        - super_admin
      title: GrantKind
      type: string
    ResourceType:
      description: Authorization resource en scope types.
      enum:
        - client
        - account
        - workspace
        - domain
        - dns_record
        - mailbox
        - redirect
        - forwarding
        - credential
        - tenant
        - route
        - proxy
      title: ResourceType
      type: string
    SubjectType:
      description: Soorten autorisatieonderwerpen.
      enum:
        - user
        - group
        - service_account
      title: SubjectType
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Locatie
          type: array
        msg:
          title: Bericht
          type: string
        type:
          title: Fouttype
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````